# -*- coding: utf-8 -*-

#Copyright (C) 2008 Federico Mon Trotti, Daniel Tabas, Carlos Agra, Roberto Cano

#This file is part of HDLorean.
#
#HDLorean is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 2 of the License.

#HDLorean is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with HDLorean.  If not, see <http://www.gnu.org/licenses/>.

import sys
import os
import pygtk
import gtk
import gtk.glade
import gnome.ui
import gettext

## @brief Menu closes the app.
#
# Shows a menu with a button to close the main app.

class DeleteSome:
	## The constructor.
	# The first is load in self->wTree.
	# The dictionaty connects the widget's signals with class functions.	
	def __init__(self): #constructora clase gui
		APP='DeleteSome'
		DIR='../../share/locale/'
		gettext.bindtextdomain(APP, DIR)
		gettext.textdomain(APP)
		_ = gettext.gettext
		gtk.glade.bindtextdomain(APP, DIR)
		gtk.glade.textdomain(APP)
		## @var gladefile
		# Variable wich contains the .glade file.
		self.gladefile="../../share/glade/HDLoreanDelSomeMenu.glade"
		## @var wTree
		# Contains the XML info of the .glade 
		self.wTree = gtk.glade.XML (self.gladefile)
		#diccionario: una tabla hash que se hace solita
		#sirve para conectar las señales que tira el gtk con las funciones q tratan
		dic = {	"on_DelSomeDelete_clicked" : self.Delete,
			"on_DelSomeCancel_clicked" : self.Cancel
		}
		self.wTree.signal_autoconnect(dic)
		self.window=self.wTree.get_widget('DelSomeVersion')
	def Cancel(self,widget):
		self.window.destroy()
######### pasar al backend la ruta de las versiones a eliminar
	def Delete(self,widget):
		self.window.destroy()
