# -*- coding: utf-8 -*-

#Copyright (C) 2008 Federico Mon Trotti, Daniel Tabas, Carlos Agra, Roberto Cano

#This file is part of HDLorean.
#
#HDLorean is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 2 of the License.

#HDLorean is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with HDLorean.  If not, see <http://www.gnu.org/licenses/>.

import sys
import os
from gnome import help_display
import pygtk
import gtk
import gtk.glade
import gnome.ui

class Help:
	## The constructor.
	# a call of help_display, which launches the yelp program with a docbook written by us
	# we have to initialize some program vars to launch yelp
	def __init__(self): 
		#path of the app
		appProperties = {'app-datadir': os.path.abspath('../../share')}
		#name, version and path of app		
		gnome.program_init("hdlorean","1", properties = appProperties)
		#name of the help xml file		
		gnome.help_display('HDLorean.xml')
