#Copyright (C) 2008 Ezequiel Lara

#This file is part of HDLorean.
#
#HDLorean is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 2 of the License.

#HDLorean is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with HDLorean.  If not, see <http://www.gnu.org/licenses/>.

#!/usr/bin/env python
# -*- coding: utf-8 -*-



import glob

from distutils.core import setup
#import version #TODO how does "version" module work?

setup (name         = "hdlorean",
#       version      = version.__version__,
	version		= "0.01",
	description	= "HD Lorean",
	author 		= "HD Lorean developers",
	author_email= "tumadreescalva@quitadestopordios.com",
	url			= "http://www.hdlorean.wikidot.com",
	license		= "GPL",

	packages	= ['hdlorean/hdloreand', 'hdlorean/hdlorean-gui', 'hdlorean/hdlorean-console'],
	package_dir	= {'hdlorean/hdloreand' : 'src/hdloreand',
					'hdlorean/gui' : 'src/gui',
					'hdlorean/console' : 'src/console'}, 
#	package_data= {'hdloreand' : ['src/hdloreand/data/*'] },
#	scripts 	= ["scripts/lanzadorconsola", "scripts/lanzadordemonio",
	#				"scripts/lanzadorgui"], #There is *no* initdscript
#	data_files 	= [ ('pixmaps', glob.glob('share/pixmaps/*')),
#					('configs', ['share/defaultConfig2.cfg']),
#					('/etc/init.d', ['scripts/initdscript']) ]
					#'share/defaultConfig2.cfg']
	)
